Contain file
curl --request POST \
--url https://api.wirespeed.co/v1/asset/file/{id}/contain \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caseId": "<string>",
"detectionId": "<string>",
"integrationId": "<string>",
"userContainActions": [],
"endpointContainActions": [],
"userUncontainActions": [
"enable"
],
"endpointUncontainActions": [],
"fileContainActions": [],
"fileUncontainActions": [
"unquarantine"
]
}
'import requests
url = "https://api.wirespeed.co/v1/asset/file/{id}/contain"
payload = {
"caseId": "<string>",
"detectionId": "<string>",
"integrationId": "<string>",
"userContainActions": [],
"endpointContainActions": [],
"userUncontainActions": ["enable"],
"endpointUncontainActions": [],
"fileContainActions": [],
"fileUncontainActions": ["unquarantine"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
caseId: '<string>',
detectionId: '<string>',
integrationId: '<string>',
userContainActions: [],
endpointContainActions: [],
userUncontainActions: ['enable'],
endpointUncontainActions: [],
fileContainActions: [],
fileUncontainActions: ['unquarantine']
})
};
fetch('https://api.wirespeed.co/v1/asset/file/{id}/contain', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"statusCode": 123
}Asset
Contain file
POST
/
v1
/
asset
/
file
/
{id}
/
contain
Contain file
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
File identifier
Body
application/json
Case ID for containment context
Detection ID for containment context
Integration ID to use for containment. Required for files; optional for endpoints/users (falls back to asset integration).
User containment actions to perform
Available options:
disable, reset_password, revoke_sessions Endpoint containment actions to perform
Available options:
isolate, lock User uncontainment actions to perform
Available options:
enable Endpoint uncontainment actions to perform
Available options:
unisolate, unlock File containment actions to perform
Available options:
delete, quarantine File uncontainment actions to perform
Available options:
unquarantine Response
⌘I

